package com.amm.dynamicbuttons;

import android.content.Context;
import android.view.View;
import android.widget.Button;
import android.widget.Toast;

public class ButtonsOnClickListener implements View.OnClickListener
{
        Context context;

        public ButtonsOnClickListener(Context context) {
            this.context = context;
        }

        @Override
        public void onClick(View v){
            Button b = (Button) v;
            Toast.makeText(this.context,b.getText(),Toast.LENGTH_SHORT).show();
        }
}
